﻿<div class="jumbotron">
    <h2 class="st-h2">Tableaux Récapitulatifs @ViewBag.Date</h2>
    <form id="exportExcel" action="/Home/ExportToExcel" method="post">
        <input type="hidden" name="fileName" value='@ViewBag.Filename' />
        <button class="glyphicon glyphicon-save-file" id="st_export" type="submit" title="@ViewBag.Filename">
        </button>
    </form>
    <h4 class="st-h4">Facturé semaine</h4>
    <div class="st-scroll-table">
        <table class="st-table-one table">
            <thead class="st-thread-one">
                <tr>
                    <th style="min-width: 160px;">Type</th>
                    @foreach (var employee in ViewBag.Employees)
                    {
                        <th>@employee.First_name</th>
                    }
                    <th>Total</th>
                    <th>%</th>
                </tr>
            </thead>
            <tbody class="st-body-one" id="st_one">
                <tr>
                    <td>Présence semaine</td>
                    @foreach (var firstLine in ViewBag.TableOne)
                    {
                        if (firstLine == ViewBag.TableOne[ViewBag.TableOne.Count - 1])
                        {
                            <td></td>
                        }
                        else
                        {
                            if (firstLine["presence"] > 0)
                            {
                                <td>@firstLine["presence"]</td>
                            }
                            else
                            {
                                <td>-</td>
                            }
                        }
                    }
                </tr>

                @foreach (var assignment in ViewBag.Assignments)
                {
                    <tr>
                        <td>@assignment.Wording</td>
                        @foreach (var Line in ViewBag.TableOne)
                        {
                            if (Line == ViewBag.TableOne[ViewBag.TableOne.Count - 1])
                            {
                                if (Line[assignment.PK_ID.ToString()] > 0)
                                {
                                    <td>@Line[assignment.PK_ID.ToString()]%</td>
                                }
                                else
                                {
                                    <td>0,00%</td>
                                }
                            }
                            else if (Line[assignment.PK_ID.ToString()] > 0)
                            {
                                <td>@Line[assignment.PK_ID.ToString()]</td>
                            }
                            else
                            {
                                <td>-</td>
                            }
                        }
                    </tr>
                }

                <tr>
                    <th class="st-thread-one">% Facturé/Semaine</th>
                    @foreach (var lastLine in ViewBag.TableOne)
                    {
                        if (lastLine == ViewBag.TableOne[ViewBag.TableOne.Count - 1])
                        {
                            <td></td>
                        }
                        else
                        {
                            if (lastLine["billablePercent"] > 0)
                            {
                                <td>@lastLine["billablePercent"]%</td>
                            }
                            else
                            {
                                <td>0,00%</td>
                            }
                        }
                    }
                </tr>
                <tr>
                    @foreach (var employee in ViewBag.Employees)
                    {
                        <td style="background-color: white!important;"></td>
                    }
                    <th class="st-thread-one">Total</th>
                    <td>@ViewBag.TableOne[ViewBag.TableOne.Count - 2]["presence"]</td>
                    <td>100,00%</td>
                </tr>
            </tbody>
        </table>
    </div>
    <h4 class="st-h4-2">Temps passés</h4>
    <div class="st-scroll-table st-scroll-table-two">
        <table class="st-table-two table">
            <thead class="st-thread-two">
                <tr>
                    <th>Client</th>
                    <th>Projet</th>
                    <th>Temps estimé (jour)</th>
                    <th>Temps passé à date (jour)</th>
                    <th style="min-width: 10em;">Dont Apprentis</th>
                    <th>Temps payé (KPI)</th>
                    <th style="min-width: 8em;">Reste</th>
                    <th style="min-width: 8em;">Déviation</th>
                    <th style="min-width: 10em;">Affichage KPI ?</th>
                </tr>
            </thead>
            <tbody id="st_two">
                @foreach (var line in ViewBag.TableTwo)
                {
                    <tr>
                        <td>@line.Customer</td>
                        <td>@line.Project</td>
                        <td>@line.Estimated_time</td>
                        <td>@line.Time_spent</td>
                        <td>@line.Apprentice_time</td>
                        <td>@line.Paid_time</td>
                        <td style="background-color: @line.GetDeviationColor()!important;">@line.Rest</td>
                        @if (line.Deviation < 0)
                        {
                            <td>@line.Deviation%</td>
                        }
                        else
                        {
                            <td></td>
                        }
                        <td>@line.GetCross()</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    <table class="st-table-legend table table-bordered table-responsive">
        <tbody>
            <tr>
                <th style="border: none;">Légende</th>
                <td style="background-color: #ff0000">R <= 0%</td>
                <td style="background-color: #EE7701">R > 0%</td>
                <td style="background-color: #ffc000">R > +5%</td>
                <td style="background-color: #c5e0b4">R > +10%</td>
                <td style="background-color: #70ad47">R > +15%</td>
            </tr>
        </tbody>
    </table>
</div>